Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# ProxyConsumer.h File Reference

`#include "notify_export.h"`
`#include "ace/Auto_Ptr.h"`
`#include "orbsvcs/CosEventChannelAdminC.h"`
`#include "Refcountable_Guard_T.h"`
`#include "Event.h"`
`#include "Proxy.h"`

Include dependency graph for ProxyConsumer.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Notify_ProxyConsumer
| Base class for all types of ProxyConsumer implementations. More...
## Typedefs
typedef TAO_Notify_Refcountable_Guard_T< TAO_Notify_ProxyConsumer > | TAO_Notify_ProxyConsumer_Guard

## Detailed Description

Id:
  ProxyConsumer.h,v 1.9 2003/10/28 18:34:24 bala Exp

Author:
  Pradeep Gore <pradeep@oomworks.com>

## Typedef Documentation

typedef TAO_Notify_Refcountable_Guard_T<TAO_Notify_ProxyConsumer> TAO_Notify_ProxyConsumer_Guard